package de.avatic.lcc.model.bulk.header;

public enum PackagingHeader implements HeaderProvider {
    OPERATION("Operation"),
    PART_NUMBER("Part number"),
    SUPPLIER("Supplier (Mapping ID)"),
    SHU_LENGTH("SHU length"),
    SHU_WIDTH("SHU width"),
    SHU_HEIGHT("SHU height"),
    SHU_DIMENSION_UNIT("SHU Dimension unit"),
    SHU_WEIGHT("SHU gross weight"),
    SHU_WEIGHT_UNIT("SHU gross weight unit"),
    SHU_UNIT_COUNT("Units/SHU [pieces]"),
    HU_LENGTH("HU length"),
    HU_WIDTH("HU width"),
    HU_HEIGHT("HU height"),
    HU_DIMENSION_UNIT("HU Dimension unit"),
    HU_WEIGHT("HU gross weight"),
    HU_WEIGHT_UNIT("HU gross weight unit"),
    HU_UNIT_COUNT("Units/HU [pieces]");


    private final String header;

    PackagingHeader(String header) {
        this.header = header;
    }

    public String getHeader() {
        return header;
    }
}
